Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Component.Submit

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Button
                   |
                   +--jala.Form.Component.Submit

class jala.Form.Component.Submit
extends jala.Form.Component.Button

Subclass of jala.Form.Component.Button which renders a submit button.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Submit (<String> name)` Creates a new Submit component instance

Method Summary
`Object` | `renderControls(attr, value)` Creates a new attribute object for this button.

Methods inherited from class jala.Form.Component.Button
`render`

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, checkRequirements, parseValue`

Constructor Detail

### jala.Form.Component.Submit

    jala.Form.Component.Submit(<String> name)

Creates a new Submit component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Submit component

Method Detail

### renderControls

    Object renderControls(attr, value)

Creates a new attribute object for this button.

Returns:

Object with all attributes set for this button.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008